import service from '@/utils/request'

// 包装计件单据维护
// 侧边栏
export const getPackingSideTable = (data) => {
  return service({
    url: '/mes_server/packaging_count_document/getTab',
    method: 'get',
    data
  })
}

// 列表
export const getPackingTable = (params) => {
  return service({
    url: '/mes_server/packaging_count_document/getList',
    method: 'get',
    params
  })
}

// 定位
export const getLocate = (params) => {
  return service({
    url: '/mes_server/packaging_count_document/locate',
    method: 'get',
    params
  })
}

// 获取详细信息
export const getInfo = (params) => {
  return service({
    url: '/mes_server/packaging_count_document/getInfo',
    method: 'get',
    params
  })
}

// 查询印件工序及产品名称
export const getGxMc = (params) => {
  return service({
    url: '/mes_server/packaging_count_document/getGxMc',
    method: 'get',
    params
  })
}

// 查询员工名称
export const getYg = (params) => {
  return service({
    url: '/mes_server/packaging_count_document/getYg',
    method: 'get',
    params
  })
}

// 新增
export const addPackingTable = (data) => {
  return service({
    url: '/mes_server/packaging_count_document/add',
    method: 'post',
    data
  })
}

// 修改数据数据
export const updatePackingTable = (data) => {
  return service({
    url: '/mes_server/packaging_count_document/edit',
    method: 'post',
    data
  })
}

// 删除
export const DeletePackingTable = (data) => {
  return service({
    url: '/mes_server/packaging_count_document/del',
    method: 'post',
    data
  })
}

// 工单核验单侧边栏
export const getOrderVerificationSideTable = (data) => {
  return service({
    url: '/mes_server/work_order_verification/getTab',
    method: 'get',
    data
  })
}

// 工单核验单列表
export const getOrderVerificationTable = (params) => {
  return service({
    url: '/mes_server/work_order_verification/getList',
    method: 'get',
    params
  })
}
//定额代号
export const  getDedh= (params) => {
  return service({
    url:'/mes_server/packaging_count_document/getDedh',
    method: 'get',
    params
  })
}

